name: Website

on:
  push:
    branches: [dev]

defaults:
  run:
    working-directory: /opt/runner/workdir/fte-homepage-dev

jobs:
  publish:
    name: Website veröffentlichen
    if: gitea.repository == 'fte/FTE-Homepage'
    runs-on: act-runner
    steps:
      - name: Pull
        run: |
          git fetch --all
          git reset --hard origin/dev
      - name: NPM install
        run: |
          npm i          
      - name: Build
        run: |
          rm -rf public
          hugo --minify --gc --baseURL="https://dev.ftecke.de"      
      - name: Deploy
        run: |
          cd public
          rsync -azr --delete ./ /var/www/html/dev.ftecke.de/
 #     - name: Notification
 #       uses: actions/telegram-action@main
 #       if: always()
 #       with:
 #         chat_id: ${{ secrets.TG_CHAT_ID }}
 #         token: ${{ secrets.TG_TOKEN }}         
